umbrello: DCodeClassField Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DCodeClassField Class Reference

`#include <dcodeclassfield.h>`

Inheritance diagram for DCodeClassField:

## Public Member Functions
| DCodeClassField (ClassifierCodeDocument *parentDoc, UMLRole *role)
| DCodeClassField (ClassifierCodeDocument *parentDoc, UMLAttribute *attrib)
virtual | ~DCodeClassField ()
QString | getFieldType ()
QString | getFieldName ()
QString | getInitialValue ()
QString | getTypeName ()
Public Member Functions inherited from CodeClassField
| CodeClassField (ClassifierCodeDocument *parentDoc, UMLAttribute *attrib)
| CodeClassField (ClassifierCodeDocument *parentDoc, UMLRole *role)
void | finishInitialization ()
virtual | ~CodeClassField ()
CodeClassFieldDeclarationBlock * | getDeclarationCodeBlock ()
CodeAccessorMethodList | getMethodList () const
CodeAccessorMethod * | findMethodByType (CodeAccessorMethod::AccessorType type, int role_id=-1)
bool | fieldIsSingleValue ()
ClassFieldType | getClassFieldType () const
bool | parentIsAttribute () const
QString | getListObjectType ()
bool | getWriteOutMethods () const
void | setWriteOutMethods (bool val)
int | minimumListOccurances ()
int | maximumListOccurances ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual void | synchronize ()
void | updateContent ()
Public Member Functions inherited from CodeParameter
| CodeParameter (ClassifierCodeDocument *doc, UMLObject *parentObj)
virtual | ~CodeParameter ()
ClassifierCodeDocument * | getParentDocument ()
UMLObject * | getParentObject ()
bool | getAbstract ()
bool | getStatic ()
QString | getName () const
Uml::Visibility::Enum | getVisibility () const
virtual void | setInitialValue (const QString &new_var)
void | setComment (CodeComment *comment)
CodeComment * | getComment ()
QString | ID () const

## Additional Inherited Members
Public Types inherited from CodeClassField
enum | ClassFieldType { Attribute , PlainAssociation , Self , Aggregation , Composition , Unknown_Assoc }
Public Slots inherited from CodeParameter
void | syncToParent ()
Signals inherited from CodeClassField
void | modified ()
Protected Member Functions inherited from CodeClassField
void | setParentUMLObject (UMLObject *obj)
QString | cleanName (const QString &name)
QString | fixInitialStringDeclValue (const QString &val, const QString &type)
void | setListClassName (const QString &className)
bool | addMethod (CodeAccessorMethod *add)
QString | getUMLObjectName (UMLObject *obj)
bool | removeMethod (CodeAccessorMethod *remove)

## Constructor & Destructor Documentation

## ◆ DCodeClassField() [1/2]

DCodeClassField::DCodeClassField | ( | ClassifierCodeDocument * | parentDoc,
|  | UMLRole * | role
| ) |  |

Constructors

## ◆ DCodeClassField() [2/2]

DCodeClassField::DCodeClassField | ( | ClassifierCodeDocument * | parentDoc,
|  | UMLAttribute * | attrib
| ) |  |

## ◆ ~DCodeClassField()

DCodeClassField::~DCodeClassField | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ getFieldName()

QString DCodeClassField::getFieldName | ( |  | ) |

## ◆ getFieldType()

QString DCodeClassField::getFieldType | ( |  | ) |

## ◆ getInitialValue()

QString DCodeClassField::getInitialValue | ( |  | ) |
| virtual

Get the value of m_initialValue The initial value of this code parameter

Returns
  the value of m_initialValue

Reimplemented from CodeParameter.

## ◆ getTypeName()

QString DCodeClassField::getTypeName | ( |  | ) |
| virtual

Utility method to get the value of parent object type. the typeName of this parameters (e.g. boolean, int, etc or perhaps Class name of an object)

Returns
  the value of type

Reimplemented from CodeClassField.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/d/dcodeclassfield.h
- umbrello/codegenerators/d/dcodeclassfield.cpp